
import { CourseBasicForm } from "./CourseBasicForm";
import { CourseFormProvider } from "./CourseEditorContext";
import CourseEditorLayout from "./CourseEditorLayout";

export default function CourseEditor({ id }: { id?: string }) {
    return <CourseFormProvider editId={id}>
        <CourseEditorLayout>
            <CourseBasicForm></CourseBasicForm>
        </CourseEditorLayout>
    </CourseFormProvider>
}